alias ls='exa -al --color=always --group-directories-first'
alias cat='bat'
alias rm='rm -i'
alias cp='cp -i'
alias mv='mv -i'

alias psg='ps aux | grep -v grep | grep'
alias duplHostKeys='cat $HOME/.ssh/known_hosts | cut -d" " -f3 | sort | uniq -d'
alias has="curl -sL https://git.io/_has | bash -s"

alias sc-status="sudo systemctl status"
alias sc-start="sudo systemctl start"
alias sc-stop="sudo systemctl stop"
alias sc-reload="sudo systemctl reload"
alias sc-restart="sudo systemctl restart"
alias sc-enable="sudo systemctl enable"
alias sc-disable="sudo systemctl disable"
alias sc-daemon-reload="sudo systemctl daemon-reload"

alias termbin="nc termbin.com 9999"

gitpush () { git add .; git commit -m "$*"; git pull; git push }
dotupdate () { echo -n "Updating Dotfiles... "; git -C $HOME/.config/dotfiles pull &>/dev/null; echo "done" }
themeupdate () { curl -fsSL https://starship.rs/install.sh | bash -s -- --force }
